Skip to main content
GET
List all transactions

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

omit_sensitive_identifiers
boolean

Omit sensitive financial account/card number identifiers, certain direct identifiers, and external transaction identifiers from the response. If you include financial_account in your request, sensitive financial account identifiers will also be omitted. See the financial account endpoint for more information. Currently, the following fields will be omitted: debtor.iban, debtor.bban, creditor.iban, creditor.bban, debtor.pan, debtor.masked_pan, creditor.pan, creditor.masked_pan, debtor.msisdn, creditor.msisdn, external_identifiers.institution_transaction_id, external_identifiers.integrator_transaction_id, external_identifiers.end_to_end_id, external_identifiers.entry_reference, external_identifiers.check_id, external_identifiers.mandate_id.

with_available_financial_accounts
boolean

Include a list of available financial accounts in the response meta.

disable_rules
boolean

Return raw transaction data without applying the account's output rules. Only available to platform API clients; delegated apps always receive rule-shaped data.

page[size]
integer
default:25

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[financial_account.name]
string
filter[financial_account.display_name]
string
filter[financial_account.bban]
string
filter[financial_account.iban]
string
filter[debtor.bban]
string
filter[debtor.iban]
string
filter[creditor.bban]
string
filter[creditor.iban]
string
filter[creditor.name]
string
filter[debtor.name]
string
filter[external_identifiers.institution_transaction_id]
string
filter[remittance_information.structured]
string
filter[remittance_information.unstructured]
string
filter[remittance_information.structured_array]
string
filter[remittance_information.unstructured_array]
string
filter[id]
string
filter[financial_account_id]
string
filter[booked]
string
filter[currency]
string
filter[additional_information]
string
filter[additional_information_structured]
string
filter[additional_data_structured]
string
filter[booking_date_after]
string

Only include transactions whose booking date is on or after this date (inclusive), e.g. 2026-06-01.

filter[booking_date_before]
string

Only include transactions whose booking date is on or before this date (inclusive), e.g. 2026-06-30.

filter[value_date_after]
string

Only include transactions whose value date is on or after this date (inclusive).

filter[value_date_before]
string

Only include transactions whose value date is on or before this date (inclusive).

filter[transfer_status]
string
filter[reference]
string

Filter by the owning connection's caller-supplied correlation id (see financial_connections.reference). Exact match, single or comma-separated multi-value: ?filter[reference]=my-user-123 ?filter[reference]=my-user-123,my-user-456

Search for transactions by commonly populated fields, such as debtor name, creditor name, remittance information, etc.

sort
enum<string>[]
Available options:
id,
-id,
created_at,
-created_at,
updated_at,
-updated_at,
booking_date,
-booking_date,
value_date,
-value_date,
amount,
-amount,
booking_datetime,
-booking_datetime,
value_datetime,
-value_datetime,
currency_exchange.quotation_date,
-currency_exchange.quotation_date,
mapped_fields.date,
-mapped_fields.date
include
enum<string>[]
Available options:
financial_account,
financial_account.financial_connection,
financial_account.financial_connection.institution,
transfer_logs,
enriched,
trade,
failed_transfers,
attempted_transfers

Response

Paginated set of TransactionResource

data
TransactionResource · object[]
required
meta
object
required